Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.ext.awt.image
Interface ComponentTransferFunction

All Known Implementing Classes:
  ConcreteComponentTransferFunction

    public interface ComponentTransferFunction

Defines the interface expected from a component transfer function.

Field Summary
`static int` | `DISCRETE`
`static int` | `GAMMA`
`static int` | `IDENTITY` The various transfer types
`static int` | `LINEAR`
`static int` | `TABLE`

Method Summary
`float` | `getAmplitude()` Returns the amplitude value for this transfer function
`float` | `getExponent()` Returns the exponent value for this transfer function
`float` | `getIntercept()` Returns the intercept value for this transfer function
`float` | `getOffset()` Returns the offset value for this transfer function
`float` | `getSlope()` Returns the slope value for this transfer function
`float[]` | `getTableValues()` Returns the table values for this transfer function
`int` | `getType()` Returns the type of this transfer function

Field Detail

### IDENTITY

    static final int IDENTITY

  The various transfer types

  See Also:
    Constant Field Values

### TABLE

    static final int TABLE

See Also:
  Constant Field Values

### DISCRETE

    static final int DISCRETE

See Also:
  Constant Field Values

### LINEAR

    static final int LINEAR

See Also:
  Constant Field Values

### GAMMA

    static final int GAMMA

See Also:
  Constant Field Values

Method Detail

### getType

    int getType()

  Returns the type of this transfer function

### getSlope

    float getSlope()

  Returns the slope value for this transfer function

### getTableValues

    float[] getTableValues()

  Returns the table values for this transfer function

### getIntercept

    float getIntercept()

  Returns the intercept value for this transfer function

### getAmplitude

    float getAmplitude()

  Returns the amplitude value for this transfer function

### getExponent

    float getExponent()

  Returns the exponent value for this transfer function

### getOffset

    float getOffset()

  Returns the offset value for this transfer function

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.